# Visualization
TKV3d
StdPrs

# StdPrs_Point Class Reference

`#include <StdPrs_Point.hxx>`

Inheritance diagram for StdPrs_Point:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Geom_Point)&aPoint, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Geom_Point)&aPoint)
static Standard_EXPORT Standard_Boolean | Match (const Handle(Geom_Point)&aPoint, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance)

## Member Function Documentation

static Standard_EXPORT void StdPrs_Point::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Geom_Point)& | aPoint
| ) | `[static]`

static Standard_EXPORT void StdPrs_Point::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Geom_Point)& | aPoint,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_Point::Match | ( | const Handle(Geom_Point)& | aPoint,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance
| ) | `[static]`

void StdPrs_Point::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_Point::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_Point::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_Point.hxx